# com.github.insanusmokrassar.TelegramBotAPI.requests.answers - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.requests.answers

## Package com.github.insanusmokrassar.TelegramBotAPI.requests.answers

### Types

(common)

#### AnswerCallbackQuery

`data class AnswerCallbackQuery : SimpleRequest<Boolean>`

(common)

#### AnswerInlineQuery

`data class AnswerInlineQuery : SimpleRequest<Boolean>`

### Functions

(common)

#### createAnswer

`fun CallbackQuery.createAnswer(text: String? = null, showAlert: Boolean? = null, url: String? = null, cachedTimeSeconds: Int? = null): AnswerCallbackQuery`
`fun InlineQuery.createAnswer(results: List<InlineQueryResult> = emptyList(), cachedTime: Int? = null, isPersonal: Boolean? = null, nextOffset: String? = null, switchPmText: String? = null, switchPmParameter: String? = null): AnswerInlineQuery`